Bug Hunting Session
Bug 108706 - Unify loading document progress bar label
Summary: Unify loading document progress bar label
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Takeshi Abe
URL:
Whiteboard: target:6.0.0
Keywords: easyHack, topicUI
Depends on:
Blocks: Unify-Across-Apps File-Progress-Bar
  Show dependency treegraph
 
Reported: 2017-06-23 01:26 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-08-23 09:19 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-06-23 01:26:46 UTC
If you open a document in Impress, the status bar label says 'Load Document', while in Calc is says 'Loading document' and in Writer it says 'Loading document...'. These labels should be unified to a single label to reduce duplication and translation unless the labels want to be unique like 'Loading presentation', 'Loading spreadsheet', etc.

Also i would assume we dont need the three dots at the end of the label, as we use three dots in labels to identify opening of dialogs.
Comment 1 V Stuart Foote 2017-06-23 02:35:21 UTC
Reasonable -> NEW

Probably best for simplicity to use a common "Loading document" label for each module.
Comment 2 Heiko Tietze 2017-06-23 07:22:07 UTC
No UX needed for this.
Comment 3 Heiko Tietze 2017-06-24 06:04:22 UTC
For completeness: I'd use "Loading document..." with ellipsis to indicate the ongoing process. But any consistent wording is okay and makes the life of translators easier.
Comment 4 Commit Notification 2017-08-22 01:50:45 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=508957dbf49be577188fb4c112405717957b2734

tdf#108706 Unify loading document progress bar label

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.